[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

MagnitudeFunctor< ValueType > Class Template Reference

`#include <vigra/combineimages.hxx>`

## Public Types

typedef ValueType | first_argument_type
typedef SquareRootTraits< typenameNormTraits< ValueType >::SquaredNormType >::SquareRootResult | result_type
typedef ValueType | second_argument_type
typedef ValueType | value_type

## Public Member Functions

result_type | operator() (first_argument_type const &v1, second_argument_type const &v2) const

## Detailed Description

template<class ValueType>
class vigra::MagnitudeFunctor< ValueType >

Calculate the magnitude from two arguments. Can be used in conjunction with gradientBasedTransform().

If the gradient is represented by a vector-valued image instead of a pair of scalar images, use vigra::VectorNormFunctor.

Traits defined:

`FunctorTraits::isBinaryFunctor` are true (`VigraTrueType`)

## Member Typedef Documentation

## ◆ first_argument_type

template<class ValueType >

typedef ValueType first_argument_type

the functor's first argument type

## ◆ second_argument_type

template<class ValueType >

typedef ValueType second_argument_type

the functor's second argument type

## ◆ result_type

template<class ValueType >

typedef SquareRootTraits<typenameNormTraits<ValueType>::SquaredNormType>::SquareRootResult result_type

the functor's result type

## ◆ value_type

template<class ValueType >

typedef ValueType value_type

Deprecated:
  use first_argument_type, second_argument_type, result_type

## Member Function Documentation

## ◆ operator()()

template<class ValueType >

result_type operator() | ( | first_argument_type const & | v1,
|  | second_argument_type const & | v2
| ) |  | const

calculate transform '`sqrt(squaredNorm(v1) + squaredNorm(v2))`'.

The documentation for this class was generated from the following file:

- vigra/combineimages.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.1